#!/bin/bash
LOGO=/usr/share/pixmaps/pat.png

yad --width=400 --title="PAT Winlink Setup" --image ${LOGO} \
	--image-on-top \
	--wrap --window-icon=${LOGO} \
	--text="\r\r<b>Make sure your rig is connected to the Quadra and powered on before continuing</b>\r\r" \
	--button="Continue":0 \
	--button="Exit":1
BUT=$(echo $?)
if [ ${BUT} = 1 ]; then
  	exit
fi
clear

# Restore the config file to defaults so we can parse it
cp ~/.config/pat/config.json.template ~/.config/pat/config.json

# set user info in pat config file
INFO=$(yad --form --width=420 --text-align=center --center --title="Winlink Setup" \
	--image ${LOGO} --window-icon=${LOGO} --image-on-top --separator="|" --item-separator="|" \
	--text="<b>Please enter your information below:</b>" \
	--field="Callsign" \
	--field="Winlink Password" \
	--field="<b>Password is case sensitive</b>":LBL \
	--field="Six Character Gridsquare" \
	--button="Continue":0 \
        --button="Exit":1 "" "" "")
BUT=$(echo $?)
if [ ${BUT} = 1 ]; then
  	exit
fi
callsign=$(echo ${INFO} | awk -F "|" '{print $1}')
callsign=${callsign^^}
gridsquare=$(echo ${INFO} | awk -F "|" '{print $4}')
gridsquare=${gridsquare^^}
wlk_pw=$(echo ${INFO} | awk -F "|" '{print $2}')

sed -i "s/MYPASS/$wlk_pw/" ~/.config/pat/config.json
sed -i "s/MYGRID/$gridsquare/" ~/.config/pat/config.json
sed -i "s/MYCALL/$callsign/" ~/.config/pat/config.json

# get sound card info and write to config.json
line=$(aplay -l | grep USB)
card=$(echo "$line" | awk '{print $2}' | tr -d ':')
device=$(echo "$line" | awk '{print $8}' | tr -d ':')
sed -i "s/MYCARD/$card/" ~/.config/pat/config.json
sed -i "s/MYDEVICE/$device/" ~/.config/pat/config.json
pid=$(pidof -x flrig)
if [ -z $pid ]; then
    echo "starting flrig"
    flrig &
fi
yad --width=400 --height=100 --title="PAT Winlink Setup" --image ${LOGO} \
	--image-on-top \
	--wrap --window-icon=${LOGO} \
	--text="\rConfigure your rig in flrig under 'config'/'Setup'/'Transceiver' then close it to save the configuration.\r\rIf you need help, Google your rig model number plus 'flrig'.\r\rStart PAT from the HAM radio menu or run 'pat_packet.sh' or 'pat_ardop.sh' from a terminal window.\r" \
	--button="Exit":1
