#!/bin/bash
LOGO=/usr/share/pixmaps/pat.png

yad --width=400 --fixed --title="IMPORTANT!" --image ${LOGO} \
	--image-on-top \
	--wrap --window-icon=${LOGO} \
	--text="\rAfter you select your RMS Gateway, be sure to change 'transport' \rto 'gensio AX.25', not 'AX.25' or you will get a 'no modems configured error'.\r\r'Connect' commands may fail every other time.  Just try the 'Connect' again and it should work." \
	--button="Continue":0 \
	--button="Exit":1
BUT=$(echo $?)
if [ ${BUT} = 1 ]; then
	exit
fi

# kill any running instances of rigctld
pid=$(pidof -x rigctld)
echo $pid
if [ ! -z $pid ]
then
  echo "kill old rigctld instance: " $pid
#  sudo kill $pid
  kill $pid
fi

# start flrig & rigctld
pid=$(pidof -x flrig)
if [ -z $pid ]; then
    echo "starting flrig and sleeping a bit to let it fully start"
    flrig &
    sleep 7 # let it start up or rigctld will give a protocol error
fi
echo "starting rigctld"
# cmd="sudo rigctld -m4"
cmd="rigctld -m4"
$cmd &
cmd="rigctl -m4 M FM 0"
$cmd

#start pat and restart if it gets errors
cmd="pat http"
log="pat.log"
match="gensio_error"
$cmd > "$log" 2>&1 &
pid=$!
echo "started pat, pid: " $pid
firefox 127.0.0.1:5000 &
while sleep 5
#clear
do
    if fgrep --quiet "$match" "$log"
    then
        kill $pid
	echo "killed old pid: " $pid
	sleep 1
	$cmd > "$log" 2>&1 &
	pid=$!
	echo "new pid: " $pid
    fi
done
